#include "veriuser.h"
#include "acc_user.h"


extern utdumpChecktf();
extern utdumpCalltf();
extern utLimitDumpChecktf();
extern utLimitDumpCalltf();
extern utLimitDumpMisctf();


/*******************************************************************/
/*** VERIUSER_VERSION_STR                                        ***/
/*** Contents of this string will be printed out after product   ***/
/*** version information is printed out (the -q option will      ***/
/*** suppress this print). Example :                             ***/
/*** char *veriuser_version_str = "Internal version 1.5b_1.3\n"; ***/
/*******************************************************************/
char *veriuser_version_str =
"\n***** Verilog with Veritool's VCD Limit Facility *****\n***** and Connectivity Dump.        Version 1.2 *****\n";


err_intercept(level,facility,code)
int level;
char *facility;
char *code;
{
     return(true);
}



s_tfcell veriusertfs[] =
{
    {usertask, 0,
        utdumpChecktf, 0, utdumpCalltf, 0,
        "$utConnectivity", 0},
    {usertask, 0,
        utLimitDumpChecktf, 0, utLimitDumpCalltf, utLimitDumpMisctf,
        "$utLimitVCD", 0},
    {0} /* this line must always be last */
};

int (*endofcompile_routines[])() =
{
    /*** my_eoc_routine, ***/
    0 /*** final entry must be 0 ***/
};


